Name:           oclock
Version:        1.0.6
Release:        %mkrel 2
Summary:        Round X clock
Group:          Development/X11
License:        MIT
Url:            https://www.x.org
Source:         https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xext) >= 1.0.0
BuildRequires:  pkgconfig(xmu) >= 1.0.0
BuildRequires:  pkgconfig(xt) >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1
BuildRequires:  pkgconfig(xkbfile)

%description
Oclock simply displays the current time on an analog display.

%prep
%setup -q

%build
%configure

%make_build

%install
%make_install

%files
%{_bindir}/oclock
%{_datadir}/X11/app-defaults/Clock-color
%{_mandir}/man1/oclock.*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.0.6-2.mga10
+ Revision: 2234338
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 daviddavid <daviddavid> 1.0.6-1.mga10
+ Revision: 2141318
- new version: 1.0.6

* Wed Sep 07 2022 tv <tv> 1.0.5-1.mga9
+ Revision: 1885032
- 1.0.5

* Wed Mar 30 2022 umeabot <umeabot> 1.0.4-4.mga9
+ Revision: 1835079
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1515666
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.4-2.mga7
+ Revision: 1299955
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- USe new make macros

* Mon Mar 12 2018 tv <tv> 1.0.4-1.mga7
+ Revision: 1208316
- new release

* Mon Feb 08 2016 umeabot <umeabot> 1.0.3-6.mga6
+ Revision: 946441
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-5.mga5
+ Revision: 747944
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-4.mga5
+ Revision: 683150
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-3.mga4
+ Revision: 508605
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 361776
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 16 2012 tv <tv> 1.0.3-1.mga2
+ Revision: 209665
- fix BR
- new release

* Sun Jan 23 2011 pterjan <pterjan> 1.0.2-1.mga1
+ Revision: 35150
- imported package oclock


* Thu Sep 23 2010 Thierry Vignaud <tv@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 580691
- new release

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-9mdv2010.1
+ Revision: 523460
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.1-8mdv2010.0
+ Revision: 426266
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.1-7mdv2009.1
+ Revision: 351645
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-6mdv2009.0
+ Revision: 223357
- rebuild

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-5mdv2008.1
+ Revision: 166410
- Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Tue Jan 22 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-4mdv2008.1
+ Revision: 156489
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 1.0.1-3mdv2008.0
+ Revision: 67339
- fix man pages extension


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Wed May 17 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-17 00:13:06 (27483)
- fix description

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

